{
  "display": {
    "icon": {
      "item": "minecraft:rail"
    },
    "title": "Visiting the mines",
    "description": "Visit a mineshaft",
    "frame": "goal",
    "show_toast": false,
    "announce_to_chat": false,
    "hidden": true
  },
  "parent": "trash_panda_craft:root",
  "criteria": {
    "mineshaft": {
      "trigger": "minecraft:player_interacted_with_entity",
      "conditions": {
        "entity": {
          "type": "minecraft:chest_minecart"
        }
      }
    }
  },
  "requirements": [
    [
      "mineshaft"
    ]
  ]
}